Add client options

- « GearmanClient

- GearmanClient::addServer »

- PHP Manual
- GearmanClient
- Add client options

# GearmanClient::addOptions

(PECL gearman >= 0.6.0)

GearmanClient::addOptions — Add client options

### Description

public GearmanClient::addOptions(int `$option`): bool

Adds one or more options to those already set.

### Parameters

`option`

  The options to add. One of the following constants, or a combination of them using the bitwise OR operator (|): `GEARMAN_CLIENT_GENERATE_UNIQUE`, `GEARMAN_CLIENT_NON_BLOCKING`, `GEARMAN_CLIENT_UNBUFFERED_RESULT` or `GEARMAN_CLIENT_FREE_TASKS`.

### Return Values

Always returns `true`.